package com.fzm.mall.server.admin.distribution.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.distribution.entity.dto.TemplateDTO;
import com.fzm.mall.server.admin.distribution.entity.dto.TemplateSaveDTO;
import com.fzm.mall.server.admin.distribution.entity.dto.TemplateUpdateDTO;
import com.fzm.mall.server.admin.distribution.model.Template;

import java.util.List;

/**
 * <p>
 * 物流中心-运费模板 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-04
 */
public interface ITemplateService extends IService<Template> {

    void save(TemplateSaveDTO templateSaveDTO);

    void update(TemplateUpdateDTO templateUpdateDTO);

    void delete(String templateId, String merchantId);

    TemplateDTO read(String templateId, String merchantId);

    List<TemplateDTO> list(String merchantId);

    Template getByTemplateId(String templateId);

    Template getByMerchantId(String merchantId);


}
